<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>xAPI Definitions Parser: Class Members</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">xAPI Definitions Parser
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all class members with links to the classes they belong to:</div>

<h3><a id="index_g" name="index_g"></a>- g -</h3><ul>
<li>GenerateActivitiesFiles()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html#aa8aa9c1d8b7b6e854bb69140106e6c9d">xAPI_Definitions_Parser.Code.CodeGenerator</a></li>
<li>GenerateContext()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html#ae165ac718c51a9ed4c587e43ccd7ac91">xAPI_Definitions_Parser.Code.CodeGenerator</a></li>
<li>GenerateContextExtensionsFile()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html#acce378b8b87bde252c26451beaa11861">xAPI_Definitions_Parser.Code.CodeGenerator</a></li>
<li>GenerateContextFile()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html#a98d1dcfebf3e5a4624f74588c2051109">xAPI_Definitions_Parser.Code.CodeGenerator</a></li>
<li>GenerateContexts()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html#a9a8b55a133f5013ae43d19caf4ed9ba2">xAPI_Definitions_Parser.Code.CodeGenerator</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_python_1_1_python_generator.html#a1d4a013cb070376082597467c6420a74">xAPI_Definitions_Parser.Code.Python.PythonGenerator</a></li>
<li>GenerateCoreFiles()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html#a50fc9b640a71b71e0cdef726c7f62f12">xAPI_Definitions_Parser.Code.CodeGenerator</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_generator.html#a78df512a573c8ed82f1a0b0e49b2c647">xAPI_Definitions_Parser.Code.CSharp.CSharpGenerator</a></li>
<li>GenerateDefinitionsFile()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html#a552d0204ab03f6ee2a794aea3089a213">xAPI_Definitions_Parser.Code.CodeGenerator</a></li>
<li>GenerateExtensions()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html#a495319af420d29190ddccadbc0f347bd">xAPI_Definitions_Parser.Code.CodeGenerator</a></li>
<li>GenerateExtensionsFiles()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html#aabd689780dd482cb01e442c7ea692624">xAPI_Definitions_Parser.Code.CodeGenerator</a></li>
<li>GenerateExtensionTypeFile()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html#afc1f5192a4a5a9fdd4ca1fb0ed85422c">xAPI_Definitions_Parser.Code.CodeGenerator</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_java_script_1_1_java_script_generator.html#a43f1033871cb4e28ac82f03e666cfaa0">xAPI_Definitions_Parser.Code.JavaScript.JavaScriptGenerator</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_python_1_1_python_generator.html#a5980ff3efd9ed544102abee03a0c802b">xAPI_Definitions_Parser.Code.Python.PythonGenerator</a></li>
<li>GenerateVerbsFiles()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html#ad99d7208974f33dffdece749e5dd4092">xAPI_Definitions_Parser.Code.CodeGenerator</a></li>
<li>GetableProperties&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html#ac21010aead82ee61ff8610f3fe60ef97">xAPI_Definitions_Parser.Code.SyntaxTree.Class</a></li>
<li>GetablePropertiesToString()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a3bb52a2076ccf87008a9ac93534db6e5">xAPI_Definitions_Parser.Code.SyntaxTreeSerializer</a></li>
<li>GetableProperty()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getable_property.html#a34d1e710ada907df2d7fdb468ae97046">xAPI_Definitions_Parser.Code.SyntaxTree.GetableProperty</a></li>
<li>GetablePropertyToString()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_serializer.html#ab29b7809450306b804ef80e5ac43b8b8">xAPI_Definitions_Parser.Code.CSharp.CSharpSerializer</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_java_script_1_1_java_script_serializer.html#a9c1cd13721d030ea32874110790c502e">xAPI_Definitions_Parser.Code.JavaScript.JavaScriptSerializer</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_python_1_1_python_serializer.html#a934d3e3a3ecf1deaef2977c16a0a49f9">xAPI_Definitions_Parser.Code.Python.PythonSerializer</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a5e987307081ec82773aaeb29b0a57902">xAPI_Definitions_Parser.Code.SyntaxTreeSerializer</a></li>
<li>GetDescription()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definition.html#a9f37a74c5fd026db87c96e88001cd20e">xAPI_Definitions_Parser.Definitions.xAPIDefinition</a></li>
<li>GetLanguages()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definition.html#aae2ab64f16a4443fc48107abaf59cbaf">xAPI_Definitions_Parser.Definitions.xAPIDefinition</a></li>
<li>GetName()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definition.html#aa3eb1fde2c0016887b86ff8290ee70b1">xAPI_Definitions_Parser.Definitions.xAPIDefinition</a></li>
<li>GetNameDescription()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definition.html#a26e6af4f2a4d1577ea5662ae3e335c3e">xAPI_Definitions_Parser.Definitions.xAPIDefinition</a></li>
<li>GetNetCoreVersions()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_generator.html#a2ab7b7258344b6f130d9e67262272d8f">xAPI_Definitions_Parser.Code.CSharp.CSharpGenerator</a></li>
<li>GetSubClassesSourceKeys()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#a7b64fef9f1bbba444282e949f57ec2f8">xAPI_Definitions_Parser.IO.IOManager</a></li>
<li>Getter&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getable_property.html#aba09863953ff7b84effd03e755b129e8">xAPI_Definitions_Parser.Code.SyntaxTree.GetableProperty</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getter.html#a09b2bf80f22514688d94e89e671cf1f8">xAPI_Definitions_Parser.Code.SyntaxTree.Getter</a></li>
<li>GitLabManager()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_git_lab_manager.html#a2e03c3532b951caa9072ed275332a2c0">xAPI_Definitions_Parser.IO.GitLabManager</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
